Package: org.codehaus.groovy.util

## [Java] Class Segment<K, V>

- org.codehaus.groovy.util.AbstractConcurrentMap.Segment

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AbstractConcurrentMap.Segment (int initialCapacity)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Entry<K, V>` | `createEntry(K key, int hash, V value)`
    `` | `V` | `get(K key, int hash)`
    `` | `Entry<K, V>` | `getOrPut(K key, int hash, V value)`
    `` | `Entry` | `put(K key, int hash, V value)`
    `` | `void` | `remove(K key, int hash)`

- - ### Constructor Detail

    - #### protected AbstractConcurrentMap.Segment(int initialCapacity)

  - ### Method Detail

    - #### protected Entry<K, V> createEntry(K key, int hash, V value)

    - #### public final V get(K key, int hash)

    - #### public final Entry<K, V> getOrPut(K key, int hash, V value)

    - #### public final Entry put(K key, int hash, V value)

    - #### public void remove(K key, int hash)